faustctl
Prev | Orchestra Opcodes and Operators | Next

## faustctl

faustctl — Adjusts a given control in a Faust DSP instance.

## Description

Faustctl will set a given control in a running faust program

## Syntax

    faustctl idsp,Scontrol,kval

## Initialization

“Scontrol” -- a string containing the control name

“idsp” -- a handle to an existing Faust DSP instance

## Performance

“kval” -- value to which the control will be set.

## Examples

Here is an example of the faustctl opcode, with a simple program that adjusts the gain of an input:

Example 239.

    idsp,a1 faustgen {{
    gain = hslider("vol",1,0,1,0.01);
    process = (_ * gain);
    }}, ain1
    faustctl idsp, "vol", 0.5

## Credits

Author: Victor Lazzarini, 2013

Prev | Up | Next
faustcompile | Home | faustgen